Home | History | Annotate | Line # | Download | only in libopts
      1 /*	$NetBSD: ao-strs.c,v 1.6 2024/08/18 20:47:24 christos Exp $	*/
      2 
      3 /*  -*- buffer-read-only: t -*- vi: set ro:
      4  *
      5  * DO NOT EDIT THIS FILE   (ao-strs.c)
      6  *
      7  * It has been AutoGen-ed
      8  * From the definitions    ao-strs.def
      9  * and the template file   strings
     10  *
     11  *  Copyright (C) 2011-2018 Bruce Korb, all rights reserved.
     12  *  This is free software. It is licensed for use, modification and
     13  *  redistribution under the terms of the
     14  *  Modified (3 clause) Berkeley Software Distribution License
     15  *  <http://www.xfree86.org/3.3.6/COPYRIGHT2.html>
     16  *
     17  *  Redistribution and use in source and binary forms, with or without
     18  *  modification, are permitted provided that the following conditions
     19  *  are met:
     20  *  1. Redistributions of source code must retain the above copyright
     21  *     notice, this list of conditions and the following disclaimer.
     22  *  2. Redistributions in binary form must reproduce the above copyright
     23  *     notice, this list of conditions and the following disclaimer in the
     24  *     documentation and/or other materials provided with the distribution.
     25  *  3. Neither the name ``Bruce Korb'' nor the name of any other
     26  *     contributor may be used to endorse or promote products derived
     27  *     from this software without specific prior written permission.
     28  *
     29  *  strings IS PROVIDED BY Bruce Korb ``AS IS'' AND ANY EXPRESS
     30  *  OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
     31  *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
     32  *  ARE DISCLAIMED.  IN NO EVENT SHALL Bruce Korb OR ANY OTHER CONTRIBUTORS
     33  *  BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
     34  *  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
     35  *  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
     36  *  BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
     37  *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
     38  *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
     39  *  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
     40  */
     41 #include "ao-strs.h"
     42 
     43 char const ao_strs_strtable[6714] =
     44 /*     0 */ "-_^\0"
     45 /*     4 */ "  %s%s\n\0"
     46 /*    12 */ "<?auto-options\0"
     47 /*    27 */ "<?program\0"
     48 /*    37 */ "%%-%ds %%s\n\0"
     49 /*    49 */ "<?program %s>\n\0"
     50 /*    64 */ "\n"
     51             "%s\n\n\0"
     52 /*    70 */ "=file\0"
     53 /*    76 */ "=Mbr\0"
     54 /*    81 */ "=Cplx\0"
     55 /*    87 */ "[=arg]\0"
     56 /*    94 */ "--%2$s%1$s\0"
     57 /*   105 */ "=Tim\0"
     58 /*   110 */ "none\0"
     59 /*   115 */ "#  preset/initialization file\n"
     60             "#  %s#\n\0"
     61 /*   153 */ " %3s %-14s %s\0"
     62 /*   167 */ "%s\0"
     63 /*   170 */ "T/F\0"
     64 /*   174 */ "\n"
     65             "%s\n\n"
     66             "%s\0"
     67 /*   182 */ "Fil\0"
     68 /*   186 */ "KWd\0"
     69 /*   190 */ "Mbr\0"
     70 /*   194 */ "Cpx\0"
     71 /*   198 */ "no \0"
     72 /*   202 */ "Num\0"
     73 /*   206 */ "opt\0"
     74 /*   210 */ "YES\0"
     75 /*   214 */ "Str\0"
     76 /*   218 */ "Tim\0"
     77 /*   222 */ "\t\t\t\t- \0"
     78 /*   229 */ "\t\t\t\t  \0"
     79 /*   236 */ "\t\t\t\t-- and \0"
     80 /*   248 */ "\t\t\t\t%s\n\0"
     81 /*   256 */ "      \0"
     82 /*   263 */ "     \0"
     83 /*   269 */ "   \0"
     84 /*   273 */ "  \0"
     85 /*   276 */ "all\0"
     86 /*   280 */ " \t\n"
     87             ":=\0"
     88 /*   286 */ "%s_%s_%d=\0"
     89 /*   296 */ "''\0"
     90 /*   299 */ "        ;;\n\n\0"
     91 /*   312 */ "'\n\n\0"
     92 /*   316 */ "</%s>\n\0"
     93 /*   323 */ "  %s\n\0"
     94 /*   329 */ "%%-%ds\0"
     95 /*   336 */ "\n"
     96             "export %s_%s_%d\n\0"
     97 /*   354 */ "false\0"
     98 /*   360 */ "    -* )\n\0"
     99 /*   370 */ "flag\0"
    100 /*   375 */ "INVALID-%d\0"
    101 /*   386 */ "*INVALID*\0"
    102 /*   396 */ "\\n\\\n\0"
    103 /*   401 */ "    --* )\n\0"
    104 /*   412 */ "--\0"
    105 /*   415 */ "LONGUSAGE\0"
    106 /*   425 */ "            %s\n\0"
    107 /*   441 */ "\\%03o\0"
    108 /*   447 */ "more\0"
    109 /*   452 */ "<%s type=nested>\n\0"
    110 /*   470 */ "%s\n\0"
    111 /*   474 */ "%s\n"
    112             "  \0"
    113 /*   480 */ "OPT_ARG_NEEDED=NO\0"
    114 /*   498 */ "<%s/>\n\0"
    115 /*   505 */ "OPT_ARG_NEEDED=OK\0"
    116 /*   523 */ "\t\0"
    117 /*   525 */ "<%s>\0"
    118 /*   530 */ "option\0"
    119 /*   537 */ "\n"
    120             "export %s_%s\n\0"
    121 /*   552 */ "%s_%s=\0"
    122 /*   559 */ " | \0"
    123 /*   563 */ "PAGER\0"
    124 /*   569 */ "%1$s %2$s ; rm -f %2$s\0"
    125 /*   592 */ " + \0"
    126 /*   596 */ "  puts(_(%s));\n\0"
    127 /*   612 */ "\\'\0"
    128 /*   615 */ "'%s'\0"
    129 /*   620 */ " -- %s\0"
    130 /*   627 */ "%s_%s_TEXT='\0"
    131 /*   640 */ "#! %s\n\0"
    132 /*   647 */ "\n"
    133             "env | grep '^%s_'\n\0"
    134 /*   667 */ "=%1$lu # 0x%1$lX\n\0"
    135 /*   685 */ "stdout\0"
    136 /*   692 */ "%A %B %e, %Y at %r %Z\0"
    137 /*   714 */ "TMPDIR\0"
    138 /*   721 */ "%s/use-%u.XXXXXX\0"
    139 /*   738 */ "true\0"
    140 /*   743 */ "<%s type=%s>\0"
    141 /*   756 */ "VERSION\0"
    142 /*   764 */ "#x%02X;\0"
    143 /*   772 */ "OPT_ARG_NEEDED=YES\0"
    144 /*   791 */ "\n"
    145             "# %s -- %s\n\0"
    146 /*   804 */ "# DEFAULT: \0"
    147 /*   816 */ "'\\''\0"
    148 /*   821 */ " '%s'\0"
    149 /*   827 */ "libopts misguessed length of string\n\0"
    150 /*   864 */ "\n"
    151             "OPTION_CT=0\n\0"
    152 /*   878 */ "set --\0"
    153 /*   885 */ "/tmp\0"
    154 /*   890 */ "            ;;\n\n\0"
    155 /*   907 */ "        '%c' )\n\0"
    156 /*   923 */ "        '%s' )\n\0"
    157 /*   939 */ "        '%s' | \\\n\0"
    158 /*   957 */ "<%1$s type=boolean>%2$s</%1$s>\n\0"
    159 /*   989 */ "#  From the %s option definitions\n"
    160             "#\n\0"
    161 /*  1026 */ "echo 'Warning:  Cannot load options files' >&2\0"
    162 /*  1073 */ "echo 'Warning:  Cannot save options files' >&2\0"
    163 /*  1120 */ "echo 'Warning:  Cannot suppress the loading of options files' >&2\0"
    164 /*  1186 */ "<%1$s type=integer>0x%2$lX</%1$s>\n\0"
    165 /*  1221 */ "%1$s_%2$s_TEXT='no %2$s text'\n\0"
    166 /*  1252 */ "%1$s_%2$s_MODE='%3$s'\n"
    167             "export %1$s_%2$s_MODE\n\0"
    168 /*  1297 */ "%1$s_%2$s='%3$s'\n"
    169             "export %1$s_%2$s\n\0"
    170 /*  1332 */ "%1$s_%2$s_CT=%3$d\n"
    171             "export %1$s_%2$s_CT\n\0"
    172 /*  1371 */ "OPTION_CT=%d\n"
    173             "export OPTION_CT\n\0"
    174 /*  1402 */ "%1$s_%2$s=%3$s\n"
    175             "export %1$s_%2$s\n\0"
    176 /*  1435 */ "%1$s_%2$s=%3$d # 0x%3$X\n"
    177             "export %1$s_%2$s\n\0"
    178 /*  1477 */ "        case \"${OPT_CODE}\" in\n\0"
    179 /*  1508 */ "            if [ $%1$s_%2$s_CT -gt %3$u ] ; then\n"
    180             "                echo 'Error:  more than %3$d %2$s options'\n"
    181             "                echo \"$%1$s_USAGE_TEXT\"\n"
    182             "                exit 1\n"
    183             "            fi >&2\n\0"
    184 /*  1699 */ "test ${%1$s_%2$s_CT-0} -ge %3$u || {\n"
    185             "    echo %1$s_%2$s has not been set\n"
    186             "    exit 1\n"
    187             "} 1>&2\n\0"
    188 /*  1791 */ "test -n \"$%1$s_%2$s\" || {\n"
    189             "    echo %1$s_%2$s has not been set\n"
    190             "    exit 1\n"
    191             "} 1>&2\n\0"
    192 /*  1872 */ "            echo \"$%s_%s_TEXT\"\n"
    193             "            exit 0\n\0"
    194 /*  1923 */ "\n"
    195             "# # # # # # # # # #\n"
    196             "#\n"
    197             "#  END OF AUTOMATED OPTION PROCESSING\n"
    198             "#\n"
    199             "# # # # # # # # # # -- do not modify this marker --\n\0"
    200 /*  2039 */ "    if [ -n \"${OPT_ARG_VAL}\" ]\n"
    201             "    then\n"
    202             "        eval %1$s_${OPT_NAME}${OPT_ELEMENT}=\"'${OPT_ARG_VAL}'\"\n"
    203             "        export %1$s_${OPT_NAME}${OPT_ELEMENT}\n"
    204             "    fi\n"
    205             "done\n"
    206             "OPTION_COUNT=`expr $ARG_COUNT - $#`\n"
    207             "OPERAND_COUNT=$#\n"
    208             "unset OPT_PROCESS || :\n"
    209             "unset OPT_ELEMENT || :\n"
    210             "unset OPT_ARG     || :\n"
    211             "unset OPT_ARG_NEEDED || :\n"
    212             "unset OPT_NAME    || :\n"
    213             "unset OPT_CODE    || :\n"
    214             "unset OPT_ARG_VAL || :\n\0"
    215 /*  2418 */ "        OPT_CODE=`echo \"X${OPT_ARG}\"|sed 's/^X-*//'`\n"
    216             "        shift\n"
    217             "        OPT_ARG=$1\n"
    218             "        case \"${OPT_CODE}\" in *=* )\n"
    219             "            OPT_ARG_VAL=`echo \"${OPT_CODE}\"|sed 's/^[^=]*=//'`\n"
    220             "            OPT_CODE=`echo \"${OPT_CODE}\"|sed 's/=.*$//'` ;; esac\n\0"
    221 /*  2669 */ "        OPT_CODE=`echo \"X${OPT_ARG}\" | sed 's/X-\\(.\\).*/\\1/'`\n"
    222             "        OPT_ARG=` echo \"X${OPT_ARG}\" | sed 's/X-.//'`\n\0"
    223 /*  2786 */ "\n"
    224             "ARG_COUNT=$#\n"
    225             "OPT_PROCESS=true\n"
    226             "OPT_ARG=$1\n"
    227             "while ${OPT_PROCESS} && [ $# -gt 0 ]\n"
    228             "do\n"
    229             "    OPT_ELEMENT=''\n"
    230             "    OPT_ARG_VAL=''\n\n"
    231             "    case \"${OPT_ARG}\" in\n"
    232             "    -- )\n"
    233             "        OPT_PROCESS=false\n"
    234             "        shift\n"
    235             "        ;;\n\0"
    236 /*  2993 */ "        case \"${OPT_ARG_NEEDED}\" in\n"
    237             "        NO )\n"
    238             "            OPT_ARG_VAL=''\n"
    239             "            ;;\n"
    240             "        YES )\n"
    241             "            if [ -z \"${OPT_ARG_VAL}\" ]\n"
    242             "            then\n"
    243             "                if [ $# -eq 0 ]\n"
    244             "                then\n"
    245             "                    echo No argument provided for ${OPT_NAME} option\n"
    246             "                    echo \"$%s_USAGE_TEXT\"\n"
    247             "                    exit 1\n"
    248             "                fi >&2\n"
    249             "                OPT_ARG_VAL=${OPT_ARG}\n"
    250             "                shift\n"
    251             "                OPT_ARG=$1\n"
    252             "            fi\n"
    253             "            ;;\n"
    254             "        OK )\n"
    255             "            if [ -z \"${OPT_ARG_VAL}\" ] && [ $# -gt 0 ]\n"
    256             "            then\n"
    257             "                case \"${OPT_ARG}\" in -* ) ;; * )\n"
    258             "                    OPT_ARG_VAL=${OPT_ARG}\n"
    259             "                    shift\n"
    260             "                    OPT_ARG=$1 ;; esac\n"
    261             "            fi\n"
    262             "            ;;\n"
    263             "        esac\n\0"
    264 /*  3772 */ "            %1$s_%2$s_CT=`expr ${%1$s_%2$s_CT} + 1`\n"
    265             "            OPT_ELEMENT=\"_${%1$s_%2$s_CT}\"\n"
    266             "            OPT_NAME='%2$s'\n\0"
    267 /*  3896 */ "\n"
    268             "if test -z \"${%1$s_%2$s}\"\n"
    269             "then\n"
    270             "  %1$s_%2$s_CT=0\n"
    271             "  export %1$s_%2$s_CT\n"
    272             "else\n"
    273             "  %1$s_%2$s_CT=1\n"
    274             "  %1$s_%2$s_1=${%1$s_%2$s}\n"
    275             "  export %1$s_%2$s_CT %1$s_%2$s_1\n"
    276             "fi\n\0"
    277 /*  4054 */ "    * )\n"
    278             "         OPT_PROCESS=false\n"
    279             "         ;;\n"
    280             "    esac\n\0"
    281 /*  4111 */ "            %1$s_%2$s_CT=0\n"
    282             "            OPT_ELEMENT=''\n"
    283             "            %1$s_%2$s='%3$s'\n"
    284             "            export %1$s_%2$s\n"
    285             "            OPT_NAME='%2$s'\n\0"
    286 /*  4252 */ "            if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
    287             "                echo 'Error:  duplicate %2$s option'\n"
    288             "                echo \"$%1$s_USAGE_TEXT\"\n"
    289             "                exit 1\n"
    290             "            fi >&2\n"
    291             "            %1$s_%2$s_set=true\n"
    292             "            %1$s_%2$s='%3$s'\n"
    293             "            export %1$s_%2$s\n"
    294             "            OPT_NAME='%2$s'\n\0"
    295 /*  4569 */ "\n"
    296             "ARG_COUNT=$#\n"
    297             "OPT_ARG=$1\n"
    298             "while [ $# -gt 0 ]\n"
    299             "do\n"
    300             "    OPT_ELEMENT=''\n"
    301             "    OPT_ARG_VAL=''\n"
    302             "    OPT_ARG=${1}\n\0"
    303 /*  4672 */ "        case \"${OPT_ARG_NEEDED}\" in\n"
    304             "        NO )\n"
    305             "            if [ -n \"${OPT_ARG}\" ]\n"
    306             "            then\n"
    307             "                OPT_ARG=-${OPT_ARG}\n"
    308             "            else\n"
    309             "                shift\n"
    310             "                OPT_ARG=$1\n"
    311             "            fi\n"
    312             "            ;;\n"
    313             "        YES )\n"
    314             "            if [ -n \"${OPT_ARG}\" ]\n"
    315             "            then\n"
    316             "                OPT_ARG_VAL=${OPT_ARG}\n"
    317             "            else\n"
    318             "                if [ $# -eq 0 ]\n"
    319             "                then\n"
    320             "                    echo No argument provided for ${OPT_NAME} option\n"
    321             "                    echo \"$%s_USAGE_TEXT\"\n"
    322             "                    exit 1\n"
    323             "                fi >&2\n"
    324             "                shift\n"
    325             "                OPT_ARG_VAL=$1\n"
    326             "            fi\n"
    327             "            shift\n"
    328             "            OPT_ARG=$1\n"
    329             "            ;;\n"
    330             "        OK )\n"
    331             "            if [ -n \"${OPT_ARG}\" ]\n"
    332             "            then\n"
    333             "                OPT_ARG_VAL=${OPT_ARG}\n"
    334             "                shift\n"
    335             "                OPT_ARG=$1\n"
    336             "            else\n"
    337             "                shift\n"
    338             "                if [ $# -gt 0 ]\n"
    339             "                then\n"
    340             "                    case \"$1\" in -* ) ;; * )\n"
    341             "                        OPT_ARG_VAL=$1\n"
    342             "                        shift ;; esac\n"
    343             "                    OPT_ARG=$1\n"
    344             "                fi\n"
    345             "            fi\n"
    346             "            ;;\n"
    347             "        esac\n\0"
    348 /*  5826 */ "            echo \"$%s_LONGUSAGE_TEXT\" | ${PAGER-more}\n"
    349             "            exit 0\n\0"
    350 /*  5900 */ "%s OF %s\n"
    351             "#\n"
    352             "#  From here to the next `-- do not modify this marker --',\n"
    353             "#  the text has been generated %s\n\0"
    354 /*  6006 */ "            eval %1$s_%2$s${OPT_ELEMENT}=true\n"
    355             "            export %1$s_%2$s${OPT_ELEMENT}\n\0"
    356 /*  6096 */ "            if [ -n \"${%1$s_%2$s}\" ] && ${%1$s_%2$s_set} ; then\n"
    357             "                echo 'Error:  duplicate %2$s option'\n"
    358             "                echo \"$%1$s_USAGE_TEXT\"\n"
    359             "                exit 1\n"
    360             "            fi >&2\n"
    361             "            %1$s_%2$s_set=true\n"
    362             "            OPT_NAME='%2$s'\n\0"
    363 /*  6355 */ "\n"
    364             "%1$s_%2$s=${%1$s_%2$s-'%3$s'}\n"
    365             "%1$s_%2$s_set=false\n"
    366             "export %1$s_%2$s\n\0"
    367 /*  6424 */ "\n"
    368             "%1$s_%2$s=${%1$s_%2$s}\n"
    369             "%1$s_%2$s_set=false\n"
    370             "export %1$s_%2$s\n\0"
    371 /*  6486 */ "# # # # # # # # # # -- do not modify this marker --\n"
    372             "#\n"
    373             "#  DO NOT EDIT THIS SECTION\n\0"
    374 /*  6569 */ "        * )\n"
    375             "            echo Unknown %s: \"${OPT_CODE}\" >&2\n"
    376             "            echo \"$%s_USAGE_TEXT\" >&2\n"
    377             "            exit 1\n"
    378             "            ;;\n"
    379             "        esac\n";
    380 
    381 /* end of ao-strs.c */
    382